Bug 122634 - Rescue system crashes at getting image "netstg1.img" over FTP
Rescue system crashes at getting image "netstg1.img" over FTP
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 11:05 EDT by Robert Scheck
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:58:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-05-06 11:05:20 EDT
Description of problem:
I tried to start a rescue system, where the image is used from an FTP
server. Red Hat Linux Advanced Server 2.1 U3 is used. Everything is 
correct (boot image, netstg1, FTP server etc).

--- snipp ---
Running anaconda - please wait...
Traceback (innermost last):
  File "/usr/bin/anaconda", line 236, in ?
    rescue.runRescue("/mnt/sysimage", not rescue_nomount, id)
  File "/usr/src/build/331960-ia64/install//usr/lib/anaconda/rescue.py", line 84
, in runRescue
  File "/usr/lib/anaconda/isys.py", line 242, in makeDevInode
    _isys.mkdevinode(name, fn)
SystemError: (2, 'No such file or directory')
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usb done
        /proc done
        /dev/pts done
        /tmp/ramfs done
you may safely reboot your system
--- snapp ---

How reproducible:
Every time

Steps to Reproduce:
1. linux rescue console=ttyS0
2. enter network data
3. enter FTP information
4. get the error from above
   
Actual results:
I don't have this problem with RHAS 2.1 Q2's boot image/netstg1.

Expected results:
Using the rescue system from RHAS 2.1 U3 without a crash ;-)
Comment 1 Jeremy Katz 2004-05-06 14:39:55 EDT
Does this happen with U4?
Comment 2 Robert Scheck 2004-05-26 05:24:27 EDT
Is U4 officially released? 
So we've got only RHEL2.1AS-ia64-U4-re0416.RC.0-ia64-disc?.iso here...
Comment 3 Jeremy Katz 2004-05-26 10:56:14 EDT
It's been released for about a month now on RHN
Comment 4 Jeremy Katz 2004-11-04 08:58:33 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.
Comment 5 Robert Scheck 2004-11-04 09:22:22 EST
Sorry, I verified the working yesterday with U4 / U5-RC, so U4 does it 
for me :)

Note You need to log in before you can comment on or make changes to this bug.